#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main(){
    ll A, B;
    cin >> A >> B;
    ll niza[A];
    for(ll i=0; i<A; i++){
        cin >> niza[i];
    }

                    ll one, two=0;
                    for(int i=0; i<A; i++){
                        if(niza[i]==2) two++;
                        if(niza[i]==1) one++;
                    }
                    if(B==two && B==one){
                    cout << 3;
                    return 0;
                    }
                    else if(B==two && B!=one){
                        cout << 2;
                        return 0;
                    }
                    else if(B!=two && B==one){
                        cout << 1;
                        return 0;
                    }
                    else if(B!=two && B!=one){
                        if(two>B){
                            if(one==0){
                                cout << 2;
                            }
                            else{
                                cout << 3;
                            }
                        }
                        if(one>B){
                            cout << 1;
                        }
                    }
                    else{
                        cout << 0;
                    }
                return 0;


}


/*
#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main(){
    ll A, B;
    cin >> A >> B;
    ll niza[A];
    for(ll i=0; i<A; i++){
        cin >> niza[i];
    }
            if(B>=2){
                    bool two=false;
                    bool one=false, oone = false;
                    for(int i=0; i<A; i++){
                        if(niza[i]==2 && !two){
                            two=true;
                        }
                        if(niza[i]==2 && two){
                            cout << 2;
                            return 0;
                        }
                        if(niza[i]==1 && !one) one=true;
                        if(niza[i]==1 && one) oone=true;
                    }
                    if(oone==true){
                        cout << 1;
                        return 0;
                    }
                    else{
                        cout << 0;
                        return 0;
                    }
            }
            else{

                    ll one, two=0;
                    for(int i=0; i<A; i++){
                        if(niza[i]==2) two++;
                        if(niza[i]==1) one++;
                    }
                    if(B==two && B==one) cout << 3;
                    return 0;

            }
}


}

#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main(){
    ll A, B;
    cin >> A >> B;
    ll niza[A];
    for(ll i=0; i<A; i++){
        cin >> niza[i];
    }
            if(B>=2){
                    bool two=false;
                    bool one=false, oone = false;
                    for(int i=0; i<A; i++){
                        if(niza[i]==2 && !two){
                            two=true;
                        }
                        if(niza[i]==2 && two){
                            cout << 2;
                            return 0;
                        }
                        if(niza[i]==1 && !one) one=true;
                        if(niza[i]==1 && one) oone=true;
                    }
                    if(oone==true){
                        cout << 1;
                        return 0;
                    }
                    else{
                        cout << 0;
                        return 0;
                    }
            }
            else{

                    ll one, two=0;
                    for(int i=0; i<A; i++){
                        if(niza[i]==2) two++;
                        if(niza[i]==1) one++;
                    }
                    if(B==two && B==one){
                    cout << 3;
                    return 0;
                    }
                    else if(B==two && B!=one){
                        cout << 2;
                        return 0;
                    }
                    else if(B!=two && B==one){
                        cout << 1;
                        return 0;
                    }
                    else if(B!=two && B!=one){
                        if(two>B){
                            if(one==0){
                                cout << 2;
                            }
                            else{
                                cout << 3;
                            }
                        }
                        if(one>B){
                            cout << 1;
                        }
                    }
                    else{
                        cout 0;
                    }
                return 0;
            }
}


}

*/
